run sudo apt-get build-dep lmms to install dependencies you might be missing as well you will need ia32-libs to be able to run 32bit libraries on a 64bit system.

On Tue, Sep 25, 2012 at 10:06 AM, David Gerard <dgerard@gmail.com> wrote:
I'm having problems compiling from source on Ubuntu 12.10 amd64. It
looks vaguely like a 64-bit problem (32-bit Wine on 64-bit platform).
The Ubuntu package of 0.4.10, which is also 64-bit, works fine.

Installed these to get it to build:

sudo apt-get install cmake g++ libqt4-dev libsndfile1-dev libpulse-dev \
libasound2-dev libfftw3-dev libjack-jackd2-dev libfluidsynth-dev \
libsdl1.2-dev libstk0-dev wine-dev portaudio19-dev libfreetype6-dev \
libxft-dev libxinerama-dev gcc-multilib g++-multilib

cmake then make ends with:


[ 87%] Built target tripleoscillator
[ 88%] Generating RemoteVstPlugin
/usr/bin/ld: Relocatable linking with relocations from format
elf64-x86-64 (/usr/lib/x86_64-linux-gnu/wine/libwinecrt0.a(exe_entry.o))
to format elf32-i386 (RemoteVstPlugin.o100rs.o) is not supported
winebuild: /usr/bin/ld failed with status 1
winegcc: winebuild failed
make[2]: *** [plugins/vst_base/RemoteVstPlugin] Error 2
make[1]: *** [plugins/vst_base/CMakeFiles/vstbase.dir/all] Error 2
make: *** [all] Error 2


Any ideas? Am I missing some obvious package?


- d.

------------------------------------------------------------------------------
Live Security Virtual Conference
Exclusive live event will cover all the ways today's security and
threat landscape has changed and how IT managers can respond. Discussions
will include endpoint security, mobile security and the latest in malware
threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/
_______________________________________________
LMMS-devel mailing list
LMMS-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/lmms-devel



--
Jonathan Aquilina